petsc-3.7.1 2016-05-15
Report Typos and Errors

# TAOCG

Nonlinear conjugate gradient method is an extension of the nonlinear conjugate gradient solver for nonlinear optimization.

### Options Database Keys

| -tao_cg_eta <r> | - restart tolerance Many br
| -tao_cg_type <taocg_type> | - cg formula Many br
| -tao_cg_delta_min <r> | - minimum delta value Many br
| -tao_cg_delta_max <r> | - maximum delta value Many br

### Notes

### CG formulas are

"fr" - Fletcher-Reeves Many br"pr" - Polak-Ribiere Many br"prp" - Polak-Ribiere-Plus Many br"hs" - Hestenes-Steifel Many br"dy" - Dai-Yuan Many br Many br

Level:beginner
Location:src/tao/unconstrained/impls/cg/taocg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html